DO $$ 
	DECLARE _path character varying(256) = 'patch-2024-05-02-ProjectStatuses-PatternId';

	BEGIN
		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Path"=_path) THEN
			RETURN;
		END IF;

		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Build">=4500) THEN
			RETURN;
		END IF;


		BEGIN
			ALTER TABLE  public."ProjectStatuses" ADD "PatternId" BIGINT NULL;
			INSERT INTO public."Versions" ("Path", "Build") VALUES (_path, 0);
  		EXCEPTION
				WHEN OTHERS THEN RAISE NOTICE 'Alter table ProjectStatuses field PatternId error.';
		END;
	END;
$$
